      program anetwumm
C..Intensity of pos Ip (W=3,4) and neg In (@=-3,-4) from UPC 15min mapos..........Aug. 2022
C UPC 15mm indices based on -15d median 	from Dec 1996 to 2022
C
		CHARACTER*2 AMN,ADY
			CHARACTER*4 AYEAR
	DIMENSION IM(12)
            DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
C
Cnorm	DO 41 iyear=1996,2022
	write(*,*) ' Enter iyear:'
	read(*,*) iyear
	call blet4(iyear,AYEAR)
	z1=iyear/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyear) THEN
               IM(2)=29
	dnr=366.
        ELSE
                IM(2)=28
	  	dnr=365.
	       ENDIF
C
        imn1=1
       if (iyear.eq.1996) imn1=12
	imn2=12
	if (iyear.eq.2022) imn2=7 !TEMPPPPPPPP
C
       DO 101 imn=imn1,imn2
C
	call blet2(imn,AMN)
       imndy=im(imn)

	DO 100 idy=1,imndy
	call blet2(idy,ADY)
	call subpnwmm(AYEAR,AMN,ADY)
  100	Continue
  101	CONTINUE

C
   41 continue
	pause ' '
	STOP
	END